
package com.tmerclub.cloud.group.vo.mongo;

import org.springframework.data.mongodb.core.mapping.Document;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author tmerclub
 */
@Document("group_order")
public class MongoSuccessGroupOrderVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    private Long orderId;

    private Long userId;
    private Long shopId;

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public Long getOrderId() {
        return orderId;
    }

    public void setOrderId(Long orderId) {
        this.orderId = orderId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return "MongoSuccessGroupOrderVO{" +
                "orderId=" + orderId +
                ", userId=" + userId +
                ", shopId=" + shopId +
                '}';
    }
}
